@if (componentData) {
  <div class="information-grid-server">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'ai-server-created'"
      [userName]="componentData.aiServer.createdBy"
      [date]="componentData.aiServer.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'ai-server-modified'"
      [userName]="componentData.aiServer.lastModifiedBy"
      [date]="componentData.aiServer.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
  </div>
  <div class="server-information-grid grid-2-server">
    <sqtm-core-label [text]="'sqtm-core.entity.generic.url.label' | translate">
    </sqtm-core-label>
    <div class="url-link-server">
      <sqtm-core-editable-text-field
        [sqtmCoreGenericViewEditableTextField]="'url'"
        [value]="componentData.aiServer.url"
        [attr.data-test-field-id]="'ai-server-url'"
        layout="compact"
        class="m-r-5 overflow-hidden"
        (confirmEvent)="handleUrlChanged($event)"
      >
      </sqtm-core-editable-text-field>

      <a
        href="{{ componentData.aiServer.url }}"
        target="_blank"
        rel="noopener"
        class="m-l-10"
      >
        <i
          nz-icon
          nzType="sqtm-core-administration:external_link"
          class="icon table-icon-size"
        ></i>
      </a>
    </div>
  </div>
  <div class="m-t-10">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>

    <sqtm-core-editable-rich-text
      [focus]="true"
      [attr.data-test-field-id]="'ai-server-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    >
    </sqtm-core-editable-rich-text>
  </div>
}
